complexType "RequestCollateralAllocation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 13 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, isCorrection, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?, serviceName?, requestedAction?, collateralGiverPartyReference, collateralAllocation+, party+, account*
</...>

Content Model Elements (13):

  account, collateralAllocation, collateralGiverPartyReference, correlationId, header (defined in RequestMessage complexType), isCorrection, onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), requestedAction (in requestCollateralAllocation), sequenceNumber (defined in Sequence.model group), serviceName (in requestCollateralAllocation), validation

All Direct / Indirect Based Elements (1):

  requestCollateralAllocation

Known Usage Locations

- As direct type of elements (1):
  requestCollateralAllocation

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) RequestCollateralAllocation

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="RequestCollateralAllocation"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="serviceName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="requestedAction" type="RequestedCollateralAllocationAction"/> <xsd:element maxOccurs="1" minOccurs="1" name="collateralGiverPartyReference" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="1" name="collateralAllocation" type="ProposedCollateralAllocation"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/13)
collateralAllocation

  Type: | ProposedCollateralAllocation, complex content

  Allocation details
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="1" name="collateralAllocation" type="ProposedCollateralAllocation"/>

collateralGiverPartyReference

  Type: | PartyReference, empty content

  The party paying the margin / issuing the allocation request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="1" minOccurs="1" name="collateralGiverPartyReference" type="PartyReference"/>

requestedAction

  Type: | RequestedCollateralAllocationAction, simple content

  The type of change requested for the collateral allocation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="requestedAction" type="RequestedCollateralAllocationAction"/>

serviceName

  Type: | xsd:normalizedString, predefined, simple content

  The name of the service to which the message applies
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="serviceName" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.